Post by magisterson » Thu Dec 07, 2017 9:09 pm

Hi there!

I need tu upgrade OC from 1.5.5.1 to 2.2.0.0 (one module we need to have not support older versions than 2.0)
Better way is to make a copy/backup move it to new folder on subdomain and then in new folder try to upload and change files or I should make fresh install of 2.2.0.0 and move clients, orders theme and modules to new instalation?

I see on internet that lot of people have lot of problems with upgrading OC :/

Newbie

Posts

Joined
Tue Jul 23, 2013 10:15 pm

Post by straightlight » Thu Dec 07, 2017 10:23 pm


The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member
Online

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by magisterson » Fri Dec 08, 2017 2:01 am

OK, I got many errors with update so I think it will be better to upload new OC version and copy client, mails, orders etc.
Theme in 1.5.5.1 was not compatible with 2.2 so even I could pass upgrade I should write new theme. I've changed lot of things in OC core (1.5.5.1) because I needed few functions that OC did not have few years ago maybe here is the problem.

So simple question now is how to migrate:

- clients
- products
- orders

to the new shop I making in other folder on my server?

Newbie

Posts

Joined
Tue Jul 23, 2013 10:15 pm

Post by straightlight » Fri Dec 08, 2017 2:22 am

There are lots of provided solutions already on the marketplace that would help you on migrating those features.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member
Online

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by magisterson » Fri Dec 08, 2017 2:32 am

Can U suggest one or few? It would be nice if I could find free one .

Newbie

Posts

Joined
Tue Jul 23, 2013 10:15 pm

Post by EvolveWebHosting » Fri Dec 08, 2017 3:07 am

magisterson wrote:
Fri Dec 08, 2017 2:01 am
OK, I got many errors with update so I think it will be better to upload new OC version and copy client, mails, orders etc.
Theme in 1.5.5.1 was not compatible with 2.2 so even I could pass upgrade I should write new theme. I've changed lot of things in OC core (1.5.5.1) because I needed few functions that OC did not have few years ago maybe here is the problem.

So simple question now is how to migrate:

- clients
- products
- orders

to the new shop I making in other folder on my server?
You may be better off hiring a professional for this one and you are right that your theme and custom changes will have to be manually added back in (if they aren't part of the core now). I would also suggest using v2.3.0.2 and the upgrade script included with it will move your clients, products and orders the right way instead of manually moving them.

Image
https://www.evolvewebhost.com
Unhappy with your current host? We can migrate your account today (usually for no fee)! Visit our website and signup and we'll take care of the rest!
24/7/365 support
Image


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by magisterson » Fri Dec 08, 2017 3:22 am

You may be better off hiring a professional for this one and you are right that your theme and custom changes will have to be manually added back in (if they aren't part of the core now). I would also suggest using v2.3.0.2 and the upgrade script included with it will move your clients, products and orders the right way instead of manually moving them.
It's not so simple because developer of payment module in my country (I need this module in my shop) not support OC above 2.2.0.0 and that is the reason i need to have maximum 2.2.0.0

So i think that the best way it will be create new store on OC 2.2.0.0 (already made it)
And now I want to move all data (Products, categories etc.) to my new shop 2.2.0.0 - i think this module could help me: https://www.opencart.com/index.php?rout ... sion_id=17 how you think?

Then I will change a little bit default theme and voila! (In my opinion)
Default theme is modifed only in basics (colors, some graphic banners etc. - nothing special so I will not have to much work with it)

Newbie

Posts

Joined
Tue Jul 23, 2013 10:15 pm

Post by EvolveWebHosting » Sun Dec 10, 2017 11:23 pm

magisterson wrote:
Fri Dec 08, 2017 3:22 am
You may be better off hiring a professional for this one and you are right that your theme and custom changes will have to be manually added back in (if they aren't part of the core now). I would also suggest using v2.3.0.2 and the upgrade script included with it will move your clients, products and orders the right way instead of manually moving them.
It's not so simple because developer of payment module in my country (I need this module in my shop) not support OC above 2.2.0.0 and that is the reason i need to have maximum 2.2.0.0

So i think that the best way it will be create new store on OC 2.2.0.0 (already made it)
And now I want to move all data (Products, categories etc.) to my new shop 2.2.0.0 - i think this module could help me: https://www.opencart.com/index.php?rout ... sion_id=17 how you think?

Then I will change a little bit default theme and voila! (In my opinion)
Default theme is modifed only in basics (colors, some graphic banners etc. - nothing special so I will not have to much work with it)
The payment gateway could be modfied to work with 2.3.0.2 without too much trouble. I think you will have a corrupt database if you try to manually import all of that data. If you want to contact us about the gateway and possible upgrade assistance, you can send an email to sales@evolvewebhost.com

Image
https://www.evolvewebhost.com
Unhappy with your current host? We can migrate your account today (usually for no fee)! Visit our website and signup and we'll take care of the rest!
24/7/365 support
Image


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA
Who is online

Users browsing this forum: No registered users and 20 guests